<?php
class Cadastro_crud_model extends grocery_CRUD_Model  {
 
    function get_list()
    {
    	$this->db->select('c.id_cadastro,c.nome,c.telefone,c.sexo,c.data_nascimento,c.nacionalidade,c.naturalidade,c.cpf,c.rg,
    	c.orgao_exp,c.data_exp,c.estado_civil,c.profissao,c.end_cep,c.end_endereco,c.end_numero,c.end_complemento,c.end_bairro,
    	c.end_cidade,c.end_estado,c.facebook,c.instagram,c.linkedin,c.status,e.perfil');
    	$this->db->join('sys_users as e','e.id_cadastro = c.id_cadastro');
    	$this->db->from('cad_cadastro as c');
    	$query = $this->db->get();
    	return $query->result();
    }
    
  	function get_total_results()
  	{
    	$this->db->from('cad_cadastro as c');
    	$this->db->join('sys_users as e','e.id_cadastro = c.id_cadastro');
    	$query = $this->db->get();
    	return $query->num_rows();
  	}
  	
  	function get_edit_values($primary_key_value)
    {
    	$primary_key_field = $this->get_primary_key();
    	
    	$this->db->select('*,email as login_email');
    	$this->db->from('cad_cadastro');
    	$this->db->where($primary_key_field,$primary_key_value);
    	$query = $this->db->get();
    	//dd($query->row());
    	return $query->row();
    }
}